OpenVDB: ValueAccessorLeafBuffer< TreeTypeT, IntegerSequence, typename std::enable_if< !value_accessor_internal::EnableLeafBuffer< TreeTypeT, IntegerSequence >::value >::type > Struct Template Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
ValueAccessorLeafBuffer< TreeTypeT, IntegerSequence, typename std::enable_if< !value_accessor_internal::EnableLeafBuffer< TreeTypeT, IntegerSequence >::value >::type > Struct Template Reference

Specialization for the case where a Leaf Buffer cannot be cached. More...

`#include <openvdb/tree/ValueAccessor.h>`

## Public Member Functions
constexpr TreeTypeT::ValueType * | buffer ()
constexpr TreeTypeT::ValueType * | buffer () const
constexpr void | setBuffer (const typename TreeTypeT::ValueType *) const
const TreeTypeT::ValueType * | buffer ()
const TreeTypeT::ValueType * | buffer () const
void | setBuffer (const typename TreeTypeT::ValueType *b) const

## Static Public Attributes
template<typename>
static constexpr bool | BypassLeafAPI = false
static constexpr bool | BypassLeafAPI

## Detailed Description

template<typename TreeTypeT, typename IntegerSequence>
struct openvdb::v12_0::tree::ValueAccessorLeafBuffer< TreeTypeT, IntegerSequence, typename std::enable_if< !value_accessor_internal::EnableLeafBuffer< TreeTypeT, IntegerSequence >::value >::type >

Specialization for the case where a Leaf Buffer cannot be cached.

## Member Function Documentation

## ◆ buffer() [1/4]

const TreeTypeT::ValueType * buffer | ( |  | ) |
| inline

## ◆ buffer() [2/4]

template<typename TreeTypeT, typename IntegerSequence>

TreeTypeT::ValueType * buffer | ( |  | ) |
| inlineconstexpr

## ◆ buffer() [3/4]

const TreeTypeT::ValueType * buffer | ( |  | ) | const
| inline

## ◆ buffer() [4/4]

template<typename TreeTypeT, typename IntegerSequence>

TreeTypeT::ValueType * buffer | ( |  | ) | const
| inlineconstexpr

## ◆ setBuffer() [1/2]

template<typename TreeTypeT, typename IntegerSequence>

void setBuffer | ( | const typename TreeTypeT::ValueType * |  | ) | const
| inlineconstexpr

## ◆ setBuffer() [2/2]

void setBuffer | ( | const typename TreeTypeT::ValueType * | b | ) | const
| inline

## Member Data Documentation

## ◆ BypassLeafAPI [1/2]

bool BypassLeafAPI
| staticconstexpr

## ◆ BypassLeafAPI [2/2]

template<typename TreeTypeT, typename IntegerSequence>
template<typename>

bool BypassLeafAPI = false
| staticconstexpr